SetVmBootOrder
SetVmBootOrder
PUT
/zstack/v1/vm-instances/{uuid}/actionsOperation ID
SetVmBootOrderSince
0.6Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
uuidStringRequiredThe VM instance UUID.
Body Fields
bootOrderListOptional. The boot device. Options: CdRom: CD-ROM HardDisk: hard disk Network: network If not specified, the default boot order (HardDisk, CdRom, CdRom) will be used.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
